<?php
/**
 * Load required framework classes first
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Lower framework classes
$lowerClasses = array(
	'exceptions', // Exceptions
	'interfaces', // Interfaces
	'main',       // General main classes
	'middleware'  // The middleware
);

// Load all classes
foreach ($lowerClasses as $className) {
	// Try to load the framework classes
	ClassLoader::getInstance()->scanClassPath('inc/classes/' . $className . '/');
} // END - foreach

// Clean up the global namespace
unset($lowerClasses[3]); // Applications shall not have any middleware
unset($className);

////// Until here the framework classes are loaded //////

// [EOF]
?>
