<?php
// Change directory
@chdir('../..');

// Set testing mode (no starter.php will be loaded!)
define('TEST_MODE', true);

// Load config file
require(dirname(dirname(dirname(__FILE__))) . '/inc/config.php');

// Load all include files
require($cfg->readConfig('base_path') . 'inc/includes.php');

// Load all game classes
require($cfg->readConfig('base_path') . 'inc/classes.php');

// Load file I/O handler
require($cfg->readConfig('base_path') . 'inc/file_io.php');

// Load database layer
require($cfg->readConfig('base_path') . 'inc/database.php');

// Set default application
FrameworkConfiguration::getInstance()->setConfigEntry('default_application', 'ship-simu');
$application = 'ship-simu';

// Load more includes
require($cfg->readConfig('base_path') . 'application/ship-simu/loader.php');

// Wir tun hier so, als waere schon das Reederei-Objekt generiert und wir wollen
// jetzt die Personalliste wiederherstellen
$personell = SimulatorPersonell::createSimulatorPersonellByID('SimulatorPersonell@829292aeca3f6bf78c16e25fc4f75c98');

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	echo sprintf("The personal object looks like this:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	);
}

// Erstmal bis hier hin
exit();

// Etwas zum Testen...
$personell = SimulatorPersonell::createSimulatorPersonell(20);

// Personal-Objekt debuggen
if (defined('DEBUG_PERSONELL_OBJ')) {
	echo sprintf("The personal object looks like this:<br />
<pre>%s</pre>\n",
		print_r($personell, true)
	);
}

// Try to save the object (for testing purposes)
$personell->saveObjectToDatabase();

//
?>
